#ifndef FRESH_LIST_BLOCK_H
#define FRESH_LIST_BLOCK_H

class fresh_list_block {
  int tab_index;
  fresh_list_block *next;
public:
  fresh_list_block(int p_index, fresh_list_block *p_next) {
    tab_index = p_index;
    next = p_next;
  }

  ~fresh_list_block() {}

  int get_table_index() { return tab_index; }
  fresh_list_block *get_next() { return next; }

  fresh_list_block *set_next(fresh_list_block *p_next) {
    return next = p_next;
  }
};

#endif /* FRESH_LIST_BLOCK_H */

